<template>
	<view class="container">
		<view v-if="emptyType==0" >
			<view v-for="item in dataList" class="item" @tap="handleClick(item.id)">
				<view class="item-left">
					<image :src="item.buyUserAvatar?item.buyUserAvatar:''" mode="aspectFit"></image>
					<view>
						<view class="item-name">{{item.buyUserName}}</view>
						<view class="item-date">交易日期：{{item.createdDate}}</view>
					</view>
				</view>
				<view class="sum">+{{item.commission}}</view>
			</view>
		</view>
		<DtNoMore v-if="isNoMore" />
		<DtEmpty :type="emptyType" />
	</view>
</template>

<script>
	import DtNoMore from "../comps/dt_no_more.vue";
	import DtEmpty from '../comps/dt_empty.vue'
	export default {
		components: {
		  DtEmpty
		},
		data() {
			return {
				memberId:'',
				dataList:[]
			};
		},
		methods:{
			onLoadPage() {
			  this.memberId = this.$auth.getMemberId();
			  this.getData()
			},
			async getData(){
				let resp = await this.$api.getMyDistributionCommissionRecords({
					_isShowLoading: true,
					// memberId:this.memberId,
					pageNo:this.pageIndex,
					pageSize:this.pageSize,
				})
				let list = this.getDataList(resp)
				this.dataList = this.dataList.concat(list)
			},
			handleClick(id){
				uni.navigateTo({
					url:"/pagesM/pages/earn_details?id="+id
				})
			}
		},
		onReachBottom() {
		  this.onReachBottomPage()
		}
	}
</script>

<style lang="scss" scoped>
	.container{
		height: 100vh;
		border-top: 2upx solid rgba(238,238,238,1);
		.item{
			display: flex;
			align-items: center;
			justify-content: space-between;
			margin-left: 16upx;
			padding-left: 24upx;
			padding-right: 40upx;
			height: 108upx;
			background-color: #fff;
			border-bottom: 2upx solid rgba(238,238,238,1);
			.item-left{
				display: flex;
				image{
					width:66upx;
					height:66upx;
					border-radius:50%;
					background-color: #f7f7f7;
					margin-right: 21upx;
					display: block;
				}
				.item-name{
					height:28upx;
					font-size:30upx;
					font-family:PingFang SC;
					font-weight:400;
					color:rgba(51,51,51,1);
					margin-bottom: 13upx;
				}
				.item-date{
					height:23upx;
					font-size:24upx;
					font-family:PingFang SC;
					font-weight:400;
					color:rgba(153,153,153,1);
				}
			}
			.sum{
				font-size:36upx;
				font-family:PingFang SC;
				font-weight:500;
				color:rgba(51,51,51,1);
			}
			.line{
				width:100%;
				height:2upx;
				background:rgba(238,238,238,1);
			}
		}
	}
</style>
